Bug 532946 - evince is unable to zoom pdf files to be readable
evince is unable to zoom pdf files to be readable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-04 08:19 EST by David Timms
Modified: 2013-04-02 00:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot@zoom=100% (340.28 KB, image/png)
2009-11-04 08:19 EST, David Timms
no flags Details
screenshot@zoom=400% (176.89 KB, image/png)
2009-11-04 08:19 EST, David Timms
no flags Details
screenshot@zoom=fit page width (179.00 KB, image/png)
2009-11-04 08:20 EST, David Timms
no flags Details

  None (edit)
Description David Timms 2009-11-04 08:19:04 EST
Created attachment 367470 [details]
screenshot@zoom=100%

Description of problem:
Even zoomed into 400%, evince is using only 2/3rd the width of my screen, and hence the font size is too small to clearly see/read.

Version-Release number of selected component (if applicable):
evince-2.26.2-1.fc11.i586
poppler-0.10.7-3.fc11.i586

How reproducible:
Occurs with all pdf documents on my computer, or freshly downloaded from the web. xpdf is able to appropriately zoom in on any of the pdfs have, and show the text in a readable format.
Also occurs with a second freshly created test user on the same machine.

Steps to Reproduce:
1. nautilus
2. click a pdf file
  
Actual results:
choosing any of the zoom options causes the document to fill no more than 2/3rds width of the screen (even the fit width) option.

Expected results:
Let me zoom however far I need. Do not pretend to know at what zoom level I can actually read the screen.

Additional info: As far as I can remember, this has only occurred recently, yet there doesn't seem to have been updates to evince or poppler packages.
I guess it could be the result of some setting being randomly made.

I asked on Fedora list, but there were no takers on seeing the same issue.
http://thread.gmane.org/gmane.linux.redhat.fedora.general/354503/focus=354549
Comment 1 David Timms 2009-11-04 08:19:42 EST
Created attachment 367471 [details]
screenshot@zoom=400%
Comment 2 David Timms 2009-11-04 08:20:16 EST
Created attachment 367472 [details]
screenshot@zoom=fit page width
Comment 3 David Timms 2009-11-04 08:30:10 EST
Actually, looking more closely, there has been a recent update to poppler:
[root@davidtdesktop ~]# grep -E "poppler|evince" /var/log/yum.log
Feb 08 23:41:50 Updated: poppler-0.8.7-5.fc10.i386
Feb 08 23:42:57 Updated: poppler-glib-0.8.7-5.fc10.i386
Feb 08 23:42:58 Updated: poppler-qt-0.8.7-5.fc10.i386
Feb 08 23:42:59 Updated: poppler-qt4-0.8.7-5.fc10.i386
Feb 08 23:44:38 Updated: poppler-utils-0.8.7-5.fc10.i386
May 09 13:35:07 Updated: poppler-qt-0.10.5-1.fc11.i586
Jun 22 00:17:40 Updated: evince-2.26.2-1.fc11.i586
Jun 22 00:18:21 Updated: evince-djvu-2.26.2-1.fc11.i586
Jun 22 00:18:21 Updated: evince-dvi-2.26.2-1.fc11.i586
Jul 18 10:50:40 Updated: poppler-0.10.7-2.fc11.i586
Jul 18 10:51:28 Updated: poppler-glib-0.10.7-2.fc11.i586
Jul 18 10:51:33 Updated: poppler-utils-0.10.7-2.fc11.i586
Sep 22 21:39:19 Installed: poppler-qt4-0.10.7-2.fc11.i586
Oct 29 00:15:14 Updated: poppler-0.10.7-3.fc11.i586
Oct 29 00:15:35 Updated: poppler-qt4-0.10.7-3.fc11.i586
Oct 29 00:15:35 Updated: poppler-glib-0.10.7-3.fc11.i586
Oct 29 00:15:36 Updated: poppler-utils-0.10.7-3.fc11.i586

Thought I'd try: yum downgrade poppler
which worked, except that I no longer have evince installed ;-(
Comment 4 David Timms 2009-11-04 08:31:52 EST
* Sun Oct 25 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10.7-3
- CVE-2009-3603 xpdf/popppler: SplashBitmap::SplashBitmap
  integer overflow (#526915)
- CVE-2009-3604 xpdf/poppler: Splash::drawImage integer overflow
  and missing allocation return value check(#526911)
- CVE-2009-3606 xpdf/poppler: PSOutputDev::doImageL1Sep
  integer overflow (#526877)
- CVE-2009-3607 poppler: create_surface_from_thumbnail_data
  integer overflow (#526924)
- CVE-2009-3608 xpdf/poppler: integer overflow in
  ObjectStream::ObjectStream (#526637)
- CVE-2009-3609 xpdf/poppler: ImageStream::ImageStream
  integer overflow (#526893)

Maybe these were more important to get applied, than for the app to work properly ?
Comment 7 Bug Zapper 2010-04-28 07:05:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 11:23:09 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.